Loading...
Searching...
No Matches
sound.h File Reference

Sound plugin interface. More...

`#include "sound/sound_type.h"`
`#include <string>`
Include dependency graph for sound.h:

## Classes

class | CSoundInterface
| Sound plugin interface. More...

## Namespaces

namespace | Math
| Namespace for (new) math code.

## Enumerations

enum | SoundNext { SOPER_CONTINUE = 1 , SOPER_STOP = 2 , SOPER_LOOP = 3 }
| Enum representing operation that will be performend on a sound at given time. More...

## Variables

const float | MAXVOLUME = 100.0f

## Detailed Description

Sound plugin interface.

## Enumeration Type Documentation

## SoundNext

enum SoundNext

Enum representing operation that will be performend on a sound at given time.

Enumerator
SOPER_CONTINUE | continue playing
SOPER_STOP | stop playing
SOPER_LOOP | start over

## Variable Documentation

## MAXVOLUME

const float MAXVOLUME = 100.0f

Maximum possible audio volume